/***********************************************************
Global variables and defines for entire robot

William Westrick
Nicole Rodia
************************************************************/

//define the CPU frequency for proper delay functionality
#define F_CPU 20000000UL

//time is in ms
#define readTimeMax 20	//timer for reading motion data from sensors
#define sendTimeMax 1000 //timer for sending motion data over uart
#define motorTimeMax 1000	//maximum time to run the motors
#define evolutionTimeMax 500	//maximum time between evolution updates

/***********************************************************
* VARIABLES
************************************************************/
//counters for each of the processes
volatile unsigned int readTime, sendTime, motorTime, evolutionTime;

